Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046594
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminorhave not tried2021-05-08 13:352021-07-27 13:02
ReportercaristuView Statuspublic 
Assigned Toagonzalez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046594: UI properties added to the product when it is included into the ticket

DescriptionWhen adding a product into the ticket, it is added with extra (unneeded) properties coming from the UI components. This information should not be included as part of the Ticket (business logic)
Steps To Reproduce1- Add a product into the ticket
2- In dev tools type "OB.App.State.getState().Ticket.lines[0].product" in order to check the information of the added product. Note it contains some properties which are coming from the UI: "layout", "color" and even a "properties" property with duplicated information
TagsNo tags attached.
Attached Filespng file icon UIProps.png [^] (109,611 bytes) 2021-05-08 13:38

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130768)
hgbot (developer)
2021-07-26 22:47

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/632 [^]
(0130794)
hgbot (developer)
2021-07-27 13:01

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/632 [^]

- Issue History
Date Modified Username Field Change
2021-05-08 13:35 caristu New Issue
2021-05-08 13:35 caristu Assigned To => Retail
2021-05-08 13:35 caristu File Added: UIProps.png
2021-05-08 13:35 caristu Triggers an Emergency Pack => No
2021-05-08 13:37 caristu File Deleted: UIProps.png
2021-05-08 13:38 caristu File Added: UIProps.png
2021-05-08 13:41 caristu Steps to Reproduce Updated View Revisions
2021-05-10 11:53 guilleaer Status new => acknowledged
2021-06-18 19:42 dmiguelez Status acknowledged => scheduled
2021-06-18 19:42 dmiguelez Assigned To Retail => pablobessone
2021-06-29 16:55 guilleaer Assigned To pablobessone => platform
2021-06-29 16:55 guilleaer Status scheduled => acknowledged
2021-07-26 22:47 hgbot Note Added: 0130768
2021-07-27 13:01 hgbot Note Added: 0130794
2021-07-27 13:01 dmiguelez Status acknowledged => scheduled
2021-07-27 13:01 dmiguelez Assigned To platform => agonzalez
2021-07-27 13:02 dmiguelez Status scheduled => resolved
2021-07-27 13:02 dmiguelez Resolution open => fixed
2021-07-27 13:02 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker